#include "xd3dresource.h"

XD3DResource::XD3DResource()
    : XAsset()
    , mCommon(0)
    , mReferenceCount(0)
    , mFence(0)
    , mReadFence(0)
    , mIdentifier(0)
    , mBaseFlush(0)
{

}

XD3DResource::~XD3DResource()
{

}

void XD3DResource::ParseData(QDataStream *aStream)
{
    *aStream
        >> mCommon
        >> mReferenceCount
        >> mFence
        >> mReadFence
        >> mIdentifier
        >> mBaseFlush;
}

void XD3DResource::Clear()
{
    mCommon = 0;
    mReferenceCount = 0;
    mFence = 0;
    mReadFence = 0;
    mIdentifier = 0;
    mBaseFlush = 0;
}
